Skip to main content
POST
/
v1
/
customers
/
{id}
/
virtual-account
Provision a virtual account
curl --request POST \
  --url https://api.useplinth.com/v1/customers/{id}/virtual-account \
  --header 'Authorization: Bearer <token>'
{
  "object": "virtual_account",
  "id": "va_01JABC...",
  "customer_id": "cus_01JABC...",
  "account_number": "9391234567",
  "bank_name": "Nomba MFB",
  "account_name": "Acme Corp — Plinth",
  "account_ref": "cus_01JABC...",
  "created_at": "2026-06-01T00:00:00Z"
}

Authorizations

Authorization
string
header
required

Use sk_test_ keys for sandbox. Use sk_live_ keys for production. Obtain your key from the dashboard.

Path Parameters

id
string
required

Response

Virtual account provisioned

object
enum<string>
Available options:
virtual_account
id
string
Example:

"va_01JABC..."

customer_id
string
Example:

"cus_01JABC..."

account_number
string
Example:

"9391234567"

bank_name
string
Example:

"Nomba MFB"

account_name
string
Example:

"Acme Corp — Plinth"

account_ref
string
Example:

"cus_01JABC..."

created_at
string<date-time>